Package io.flutter.embedding.engine.systemchannels

# Class ScribeChannel

java.lang.Object
io.flutter.embedding.engine.systemchannels.ScribeChannel

public class ScribeChannel extends Object
`ScribeChannel` is a platform channel that is used by the framework to facilitate the Scribe handwriting text input feature.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ScribeChannel.ScribeMethodHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final MethodChannel`
  `channel`
  `static final String`
  `METHOD_IS_FEATURE_AVAILABLE`
  `static final String`
  `METHOD_IS_STYLUS_HANDWRITING_AVAILABLE`
  `static final String`
  `METHOD_START_STYLUS_HANDWRITING`
  `final MethodChannel.MethodCallHandler`
  `parsingMethodHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScribeChannel(DartExecutor dartExecutor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setScribeMethodHandler(ScribeChannel.ScribeMethodHandler scribeMethodHandler)`
  Sets the `ScribeChannel.ScribeMethodHandler` which receives all requests for scribe sent through this channel.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### METHOD_IS_FEATURE_AVAILABLE

    @VisibleForTesting public static final String METHOD_IS_FEATURE_AVAILABLE
    See Also:
      - Constant Field Values

  - ### METHOD_IS_STYLUS_HANDWRITING_AVAILABLE

    @VisibleForTesting public static final String METHOD_IS_STYLUS_HANDWRITING_AVAILABLE
    See Also:
      - Constant Field Values

  - ### METHOD_START_STYLUS_HANDWRITING

    @VisibleForTesting public static final String METHOD_START_STYLUS_HANDWRITING
    See Also:
      - Constant Field Values

  - ### channel

    public final MethodChannel channel

  - ### parsingMethodHandler

    @NonNull public final MethodChannel.MethodCallHandler parsingMethodHandler

- ## Constructor Details

  - ### ScribeChannel

    public ScribeChannel(@NonNull DartExecutor dartExecutor)

- ## Method Details

  - ### setScribeMethodHandler

    public void setScribeMethodHandler(@Nullable ScribeChannel.ScribeMethodHandler scribeMethodHandler)
    Sets the `ScribeChannel.ScribeMethodHandler` which receives all requests for scribe sent through this channel.